Bug 751455

Summary: e00compr : does not adhere to Static Library Packaging Guidelines
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: e00comprAssignee: Volker Fröhlich <volker27>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: tomspur, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: e00compr-1.0.1-4.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-18 21:30:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 747849    

Description Michael Schwendt 2011-11-04 19:16:08 UTC
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Build: e00compr-1.0.1-3.fc17.src.rpm

e00compr-devel
    contains only static libraries,
    but no virtual -static package is provided

Comment 1 Thomas Spura 2011-11-05 09:04:53 UTC
(In reply to comment #0)
> e00compr-devel
>     contains only static libraries,
>     but no virtual -static package is provided

It has a -static{?_isa} instead, which could be not enough.

e.g. # repoquery --provides fltk-static
fltk-static = 1.1.10-6.fc15
fltk-static(x86-64) = 1.1.10-6.fc15

But e00compr only provides the one with _isa, so you only can do this:
"""
# yum --enablerepo=rawhide install "e00compr-static(x86-64)"
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit, remove-with-leaves
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package e00compr-devel.x86_64 0:1.0.1-3.fc17 will be installed
--> Processing Dependency: e00compr(x86-64) = 1.0.1-3.fc17 for package: e00compr-devel-1.0.1-3.fc17.x86_64
--> Running transaction check
---> Package e00compr.x86_64 0:1.0.1-3.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================
 Package                             Arch                        Version                           Repository                    Size
======================================================================================================================================
Installing:
 e00compr-devel                      x86_64                      1.0.1-3.fc17                      rawhide                       17 k
Installing for dependencies:
 e00compr                            x86_64                      1.0.1-3.fc17                      rawhide                       18 k

Transaction Summary
======================================================================================================================================
Install       2 Package(s)
"""

But not "yum install e00compr-static"...

So I'd vote for providing both, one time with and one time without isa to catch all possible use cases...

(To respond to bug 747849 comment 12: you can obviously BR e00compr-static{?_isa})

Comment 2 Michael Schwendt 2011-11-05 10:43:35 UTC
> e.g. # repoquery --provides fltk-static
> fltk-static = 1.1.10-6.fc15
> fltk-static(x86-64) = 1.1.10-6.fc15

Not the same thing. Subpackage Provides are automatic. That is a real subpackage, not an explicit Provides.


> you can obviously BR e00compr-static{?_isa})

Think twice!

Don't forget the src.rpm's Requires. The src.rpm is not arch-specific. It is built once on an arbitrary %arch builder and then placed in the SRPMS repo, which is a single repo for all archs. In addition to any %ifarch-conditional BuildRequires in the spec file you would get strange results in the src.rpm, such as (x86-64) Requires on i686.

Don't forget multilib'ing. Do we even multilib -static packages? The only ones I know of are the C/C++ standard libs. No other -static package is multilib'ed.

Comment 3 Fedora Update System 2011-11-08 07:33:53 UTC
e00compr-1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.fc16

Comment 4 Fedora Update System 2011-11-08 07:35:26 UTC
e00compr-1.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.fc15

Comment 5 Fedora Update System 2011-11-08 07:37:57 UTC
e00compr-1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.el6

Comment 6 Fedora Update System 2011-11-10 07:32:36 UTC
Package e00compr-1.0.1-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing e00compr-1.0.1-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4931
then log in and leave karma (feedback).

Comment 7 Michael Schwendt 2011-11-18 21:30:13 UTC
Closed by: fedora-report-static-batch.py
http://mschwendt.fedorapeople.org/staticbugstat.html

Comment 8 Fedora Update System 2011-11-19 23:28:56 UTC
e00compr-1.0.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-11-19 23:34:40 UTC
e00compr-1.0.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-11-25 02:07:59 UTC
e00compr-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.